<?php

namespace Api\PhpUtils\Redis;

use Redis;

class Base
{
    private $timeout = 1;
    private $redis;

    public function __construct($host, $port)
    {
        $this->redis = new Redis();
        $this->redis->connect($host, $port, $this->timeout, null, 100);
    }

    public function get(): Redis
    {
        return $this->redis;
    }
}
